%define		subrel 1

Name:		hardinfo
Version:	0.5.1
Release:	%mkrel 1
Summary:	A system profiler for Linux
License:	GPLv2+
Group:		System/Kernel and hardware 
Url:		http://wiki.hardinfo.org/HomePage
Source0:	http://download.berlios.de/hardinfo/%{name}-%{version}.tar.bz2
BuildRequires:	pciutils
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gtk2-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
Requires:	pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform 
simple benchmarks.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Settings;HardwareSettings;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/modules/*so
%{_datadir}/%{name}/pixmaps/*
%{_datadir}/%{name}/benchmark.conf
%{_datadir}/%{name}/benchmark.data
%{_datadir}/applications/%{name}.desktop



%changelog

* Tue Oct 18 2011 doktor5000 <doktor5000> 0.5.1-1.1.mga1
+ Revision: 156162
- add BuildRequires on desktop-file-utils
- cleaned spec and minor cosmetics
- imported package hardinfo


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdv2011.0
+ Revision: 619347
- the mass rebuild of 2010.0 packages

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 402837
- New version 0.5.1
- drop patches

* Wed Dec 10 2008 Erwan Velu <erwan@mandriva.org> 0.4.2.3-4mdv2009.1
+ Revision: 312469
- Adding strict build requires to libsoup-2.2

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.4.2.3-3mdv2009.0
+ Revision: 246788
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 0.4.2.3-1mdv2008.1
+ Revision: 155234
- New version 0.4.2.3
- drop unused patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Erwan Velu <erwan@mandriva.org> 0.4.2.2-2mdv2008.0
+ Revision: 94015
- Adding missing patches
- Adding missing files
- Applying fedora patches
  Fixing requires

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 0.4.2.2-1mdv2008.0
+ Revision: 54717
- New version

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 0.4.2.1-1mdv2008.0
+ Revision: 22490
- Fixing x64 build
- Fixing buildrequires
- Import hardinfo

